import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { Observable } from 'rxjs';
import { EntityType } from '../types/entity.type';
import { Response } from '../interfaces/response.interface';
export declare class EntitySerializerInterceptor<T> implements NestInterceptor<T, Response<T>> {
    private entity;
    constructor(entity: EntityType<T>);
    intercept(context: ExecutionContext, next: CallHandler): Observable<Response<T>>;
}
//# sourceMappingURL=entity-serializer.interceptor.d.ts.map